rte_dma_vchan_conf(3)

NAME
rte_dma_vchan_conf

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

enum rte_dma_direction direction
uint16_t nb_desc
struct rte_dma_port_param src_port
struct rte_dma_port_param dst_port
struct rte_dma_auto_free_param auto_free
struct rte_dma_inter_domain_param domain

Detailed Description

A structure used to configure a virtual DMA channel.

See also
    rte_dma_vchan_setup

Definition at line 649 of file rte_dmadev.h.

Field Documentation

  enum rte_dma_direction direction
Transfer direction

See also
    enum rte_dma_direction

Definition at line 654 of file rte_dmadev.h.

  uint16_t nb_desc
Number of descriptor for the virtual DMA channel

Definition at line 656 of file rte_dmadev.h.

  struct rte_dma_port_param src_port
1) Used to describes the device access port parameter in the device-to-memory transfer scenario. 2) Used to describes the source device access port parameter in the device-to-device transfer scenario.

See also
    struct rte_dma_port_param

Definition at line 664 of file rte_dmadev.h.

  struct rte_dma_port_param dst_port
1) Used to describes the device access port parameter in the memory-to-device transfer scenario. 2) Used to describes the destination device access port parameter in the device-to-device transfer scenario.

See also
    struct rte_dma_port_param

Definition at line 672 of file rte_dmadev.h.

  struct rte_dma_auto_free_param auto_free
Buffer params to auto free buffer by hardware. To free the buffer by hardware, RTE_DMA_OP_FLAG_AUTO_FREE must be set while calling rte_dma_copy and rte_dma_copy_sg().

See also
    RTE_DMA_OP_FLAG_AUTO_FREE

    struct rte_dma_auto_free_param

Definition at line 680 of file rte_dmadev.h.

  struct rte_dma_inter_domain_param domain
Parameters for inter-process or inter-OS domain DMA transfers. This field specifies the source and destination domain handlers required for DMA operations that span across different processes or operating system domains.

See also
    RTE_DMA_CAPA_INTER_PROCESS_DOMAIN

    RTE_DMA_CAPA_INTER_OS_DOMAIN

    struct rte_dma_inter_domain_param

Definition at line 690 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.